Bug 1249919 - [virtio-win][windows 10]job "WDK Guardrail Analysis" failed on win10 guests
[virtio-win][windows 10]job "WDK Guardrail Analysis" failed on win10 guests
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win (Show other bugs)
7.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Gal Hammer
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 03:10 EDT by lijin
Modified: 2015-08-12 04:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-12 04:40:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lijin 2015-08-04 03:10:44 EDT
Description of problem:
when run win10 balloon/rng/serial HLK whql test,job "WDK Guardrail Analysis" always failed.

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.3.0-13.el7.x86_64
kernel-3.10.0-300.el7.x86_64
seabios-1.7.5-11.el7.x86_64
virtio-win-prewhql-105

How reproducible:
100%

Steps to Reproduce:
1.boot guest with balloon/rng/serial device:
 /usr/libexec/qemu-kvm -name 105BLNW10D32F6E -enable-kvm -m 3G -smp 4 -uuid 9fe969e3-3ef1-4141-ae5d-851b5aa11268 -nodefconfig -nodefaults -cpu Nehalem,+fsgsbase -chardev socket,id=charmonitor,path=/tmp/105BLNW10D32F6E,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -boot order=cd,menu=on -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -drive file=105BLNW10D32F6E,if=none,id=drive-ide0-0-0,format=raw,serial=mike_cao,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=en_windows_10_enterprise_x86_dvd_6851156.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=105BLNW10D32F6E.vfd,if=none,id=drive-fdc0-0-0,format=raw,cache=none -global isa-fdc.driveA=drive-fdc0-0-0 -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=00:52:49:24:0a:52,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=isa_serial0 -device usb-tablet,id=input0 -vnc 0.0.0.0:1 -vga cirrus -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x7

2.submit job in hlk


Actual results:
job failed,error message as following:
System.IO.FileNotFoundException: Could not load file or assembly 'Microsoft.Kits.Drivers.ApiValidator, Version=10.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35' or one of its dependencies. The system cannot find the file specified.
File name: 'Microsoft.Kits.Drivers.ApiValidator, Version=10.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35'
   at Microsoft.Hardware.Kits.Tests.ApiValidation.HLKApiValidation.ValidateGuardrailApi()

WRN: Assembly binding logging is turned OFF.
To enable assembly bind failure logging, set the registry value [HKLM\Software\Microsoft\Fusion!EnableLog] (DWORD) to 1.
Note: There is some performance penalty associated with assembly bind failure logging.
To turn this feature off, remove the registry value [HKLM\Software\Microsoft\Fusion!EnableLog].

Expected results:
job can pass

Additional info:
this job can be excluded after load playlist,so it's NOT a test blocker for win10 whql test
Comment 6 Gal Hammer 2015-08-11 07:42:39 EDT
After applying version 1.6 of the HLK playlist (https://sysdev.microsoft.com/en-US/Hardware/compatibilityplaylists/) the "WDK Guardrail Analysis" test is removed from the tests list.

So I think this bug can be closed as NOTABUG. Lin?
Comment 7 lijin 2015-08-11 22:19:49 EDT
Hi Gal,

Yes,as it's hlk suit issue,please feel free to close it:)

Note You need to log in before you can comment on or make changes to this bug.